hypothesis 4.23.4-GCCcore-8.2.0

Unsupported: Use of this version of hypothesis is not supported. More information on our Applications Support and Retention Policy.

There is a newer version of hypothesis

Hypothesis is an advanced testing library for Python. It lets you write tests which are parametrized by a source of examples, and then generates simple and comprehensible examples that make your tests fail. This lets you find more bugs in your code with less work.

Accessing hypothesis 4.23.4-GCCcore-8.2.0

To load the module for hypothesis 4.23.4-GCCcore-8.2.0 please use this command on the BEAR systems (BlueBEAR, BEAR Cloud VMs, and CaStLeS VMs):

module load bear-apps-unsupported/handbuilt/2019
module load hypothesis/4.23.4-GCCcore-8.2.0

BEAR Apps Version

2019h

Extensions

  • attrs 19.1.0
  • hypothesis 4.23.4

More Information

For more information visit the hypothesis website.

Dependencies

This version of hypothesis has a direct dependency on: GCCcore/8.2.0 Python/2.7.15-GCCcore-8.2.0 Python/3.7.2-GCCcore-8.2.0

This version of hypothesis is compatible with multiple vesions of Python. At any time, only one of the versions of Python can be active and the desired version of Python should be loaded before loading this version of hypothesis.

Other Versions

These versions of hypothesis are available on the BEAR systems (BlueBEAR, BEAR Cloud VMs, and CaStLeS VMs). These will be retained in accordance with our Applications Support and Retention Policy.

Last modified on 22nd July 2019